%global gem_name rhc

%global rubyabi 1.9.1

Summary:       OpenShift Express Client Tools
Name:          rubygem-%{gem_name}
Version:       1.2.7
Release:       1%{?dist}
Group:         Development/Tools
License:       MIT
URL:           https://openshift.redhat.com/app/express
Source0:       http://rubygems.org/downloads/%{gem_name}-%{version}.gem
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      ruby(abi) = %{rubyabi}
Requires:      ruby(rubygems)
Requires:      rubygem-net-ssh  >= 2.0.11
Requires:      rubygem-archive-tar-minitar
Requires:      rubygem-test-unit
Requires:      rubygem-commander >= 4.0
Requires:      rubygem-highline >= 1.5.1
Requires:      rubygem-rest-client >= 1.6
Requires:      rubygem-open4
Requires:      git
Requires:      openssh-clients
BuildRequires: rubygems
BuildRequires: rubygems-devel
BuildArch:     noarch
Provides:      rubygem(%{gem_name}) = %{version}

%description
OpenShift Express Client Tools allows you to create and deploy applications to
the cloud. The OpenShift Express client is a command line tool that allows you
to manage your applications in the cloud.

%package doc
Summary: Documentation for %{gem_name}
Group: Documentation
Requires: %{name}

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n %{gem_name}-%{version}

# Modify the gemspec if necessary with a patch or sed
# Also apply patches to code if necessary
# %%patch0 -p1

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p .%{gem_dir}

# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
# gem install compiles any C extensions and installs into a directory
# We set that to be a local directory so that we can move it into the
# buildroot in %%install
RHC_RPMBUILD=true gem install -V \
        --local \
        --install-dir ./%{gem_dir} \
        --bindir ./%{_bindir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem

%check
# Run tests

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

# If there were programs installed:
mkdir -p %{buildroot}%{_bindir}
cp -a ./%{_bindir}/* %{buildroot}%{_bindir}

chmod 0755 %{buildroot}%{_bindir}/*
rm -rf %{buildroot}%{gem_instdir}/.yardoc
rm -rf %{buildroot}%{gem_instdir}/spec
rm -rf %{buildroot}%{gem_instdir}/test
rm -rf %{buildroot}%{gem_instdir}/features
rm %{buildroot}%{gem_instdir}/Rakefile

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{gem_instdir}
%dir %{gem_instdir}/bin
%dir %{gem_libdir}
%dir %{gem_instdir}/conf
%doc %{gem_instdir}/COPYRIGHT
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.md
%exclude %{gem_cache}
%{gem_spec}
%{gem_instdir}/bin/*
%{gem_libdir}/*
%{gem_instdir}/conf/*
%{_bindir}/*

%files doc
%doc %{gem_docdir}

%changelog
* Tue Jan 1 2013  Guillermo Gómez <gomix@fedoraproject.org> - 1.2.7-1
- Updated to version 1.2.7
- New runtime dependences added: git, openssh-clients

* Thu Dec 6 2012  Guillermo Gómez <gomix@fedoraproject.org> - 1.1.11-1
- Updated to version 1.1.11

* Mon Nov 12 2012 Guillermo Gómez <gomix@fedoraproject.org> - 1.0.4-2
- New  dependency added (open4)

* Sat Nov 10 2012 Guillermo Gómez <gomix@fedoraproject.org> - 1.0.4-1
- Updated to version 1.0.4
- Excluded cached Gem

* Tue Sep 25 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.98.16-1
- Updated to version 0.98.16

* Mon Aug 20 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.96.9-1
- Updated to version 0.96.9

* Thu Jul 19 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.95.14-2
- Removed some unnecesary dependencies
- Some depedencies adjusted for specific versions

* Wed Jul 18 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.95.14-1
- Updated to version 0.95.14

* Wed Jun 27 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.93.19-1
- This versión fixes the rubygem-sshkey dependency

* Wed Jun 13 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.93.18-2
- rubygem-net-ssh runtime dependency added
- rubygem-archive-tar-minitar runtime dependency added
- rubygem-commander runtime dependency added
- Documentation package requires fixed

* Fri Jun 08 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.93.18-1
- Updated to version 0.93.18
- Documentation package split

* Sun May 27 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.92.11-1
- Updated to version 0.92.11

* Tue May 02 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.91.12-3
- Run time dependency typo fixed

* Tue May 02 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.91.12-2
- Run time dependency typo fixed
- rubygem-rake run time dependency added

* Tue May 01 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.91.12-1
- Updated to version 0.91.12
- rubygem-rest-client run time dependency addedd

* Sun Mar 25 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.88.9-1
- Updated to version 0.88.9

* Thu Mar 15 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.87.8-1
- Updated to version 0.87.8

* Mon Feb 13 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.86.7-1
- Updated to version 0.86.7

* Sun Feb 12 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.84.15-3
- Minor spec file adjustments
- ruby-irb added as a build require

* Fri Feb 03 2012 Vít Ondruch <vondruch@redhat.com> - 0.84.15-2
- Rebuilt for Ruby 1.9.3.

* Fri Jan 20 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.84.15-1
- Updated to version 0.84.15

* Tue Jan 17 2012 Guillermo Gómez <gomix@fedoraproject.org> - 0.84.13-1
- Updated to version 0.84.13

* Wed Dec 21 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.83.9-1
- Update to version 0.83.9 

* Thu Dec 15 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.82.18-1
- Update to version 0.82.18

* Thu Dec 01 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.81.14-2
- Requires fixed to json_pure

* Tue Nov 15 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.81.14-1
- Update to version 0.81.14

* Wed Nov 02 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.80.5-1
- Update to version 0.80.5

* Wed Oct 19 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.79.5-1
- Update to version 0.79.5

* Tue Aug 23 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.75.9-1
- Update to version 0.75.9

* Tue Aug 02 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.73.14-1
- Update to version 0.73.14

* Sat Jul 09 2011 Guillermo Gómez <gomix@fedoraproject.org - 0.71.2-2
- Package now owns geminstdir
- User binaries moved to the right place
- %%dir missuse corrected
- Better URL
- Licenced fixed to MIT

* Thu Jun 23 2011 Guillermo Gómez <gomix@fedoraproject.org> - 0.71.2-1
- Initial package
